Class | Ferret::Search::Explanation
In: | ext/r_search.c
Parent: | Object

## Summary

Explanation is used to give a description of why a document matched with the score that it did. Use the Explanation#to_s or Explanation#to_html methods to display the explanation in a human readable format. Creating explanations is an expensive operation so it should only be used for debugging purposes. To create an explanation use the Searcher#explain method.

## Example

      puts searcher.explain(query, doc_id).to_s

### Methods

score to_html to_s

### Public Instance methods

explanation.score → float

Returns the score represented by the query. This can be used for debugging purposes mainly to check that the score returned by the explanation matches that of the score for the document in the original query.

explanation.to_html → string

Returns an html representation of the explanation in readable format.

explanation.to_s → string

Returns a string representation of the explanation in readable format.

[Validate]